/* Переменная размера иконки */
:root {--svg-size: 30px;}

/* Настройки кнопки "Добавить в избранное" */
a.t1002__addBtn {
    display: flex;
}

/* Скрыть старую иконку */
.t1002__addBtn svg {
    display: none;
}

/* Общий стиль для иконки */
.t1002__addBtn::before {
    content: " ";
    display: block;
    width: var(--svg-size);
    height: var(--svg-size);
    min-width: var(--svg-size);
    min-height: var(--svg-size);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

/* Иконка по умолчанию (не нажатая) */
.t1002__addBtn::before {
    background-image: url('https://static.tildacdn.com/tild6264-3536-4735-b332-343962653331/_.svg');
}

/* Иконка в активном состоянии (нажатая) */
.t1002__addBtn_active::before {
    background-image: url('https://static.tildacdn.com/tild6532-3731-4331-a266-633932326630/__429438_1.svg') !important;
}

/* Стили для попапа */
.t-popup__container a.t1002__addBtn {
    border: none !important;
}